Loading...
Searching...
No Matches
Vector Normalize
Math Functions

## Functions

ne10_result_t | ne10_normalize_vec2f_c (ne10_vec2f_t *dst, ne10_vec2f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_normalize_vec2f_neon (ne10_vec2f_t *dst, ne10_vec2f_t *src, ne10_uint32_t count) asm("ne10_normalize_vec2f_neon")
ne10_result_t | ne10_normalize_vec2f_asm (ne10_vec2f_t *dst, ne10_vec2f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_normalize_vec3f_c (ne10_vec3f_t *dst, ne10_vec3f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_normalize_vec3f_neon (ne10_vec3f_t *dst, ne10_vec3f_t *src, ne10_uint32_t count) asm("ne10_normalize_vec3f_neon")
ne10_result_t | ne10_normalize_vec3f_asm (ne10_vec3f_t *dst, ne10_vec3f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_normalize_vec4f_c (ne10_vec4f_t *dst, ne10_vec4f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_normalize_vec4f_neon (ne10_vec4f_t *dst, ne10_vec4f_t *src, ne10_uint32_t count) asm("ne10_normalize_vec4f_neon")
ne10_result_t | ne10_normalize_vec4f_asm (ne10_vec4f_t *dst, ne10_vec4f_t *src, ne10_uint32_t count)

## Variables

ne10_result_t(* | ne10_normalize_vec2f )(ne10_vec2f_t *dst, ne10_vec2f_t *src, ne10_uint32_t count)
| Normalizes 2D vectors of the input array and stores them in the corresponding elements of the output array.
ne10_result_t(* | ne10_normalize_vec3f )(ne10_vec3f_t *dst, ne10_vec3f_t *src, ne10_uint32_t count)
| Normalizes 3D vectors of the input array and stores them in the corresponding elements of the output array.
ne10_result_t(* | ne10_normalize_vec4f )(ne10_vec4f_t *dst, ne10_vec4f_t *src, ne10_uint32_t count)
| Normalizes 4D vectors of the input array and stores them in the corresponding elements of the output array.

## Detailed Description

  These functions implement vector normalize operation for float data type.

## Function Documentation

## ne10_normalize_vec2f_c()

ne10_result_t ne10_normalize_vec2f_c | ( | ne10_vec2f_t * | dst,
|  | ne10_vec2f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 39 of file NE10_normalize.c.

## ne10_normalize_vec3f_c()

ne10_result_t ne10_normalize_vec3f_c | ( | ne10_vec3f_t * | dst,
|  | ne10_vec3f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 53 of file NE10_normalize.c.

## ne10_normalize_vec4f_c()

ne10_result_t ne10_normalize_vec4f_c | ( | ne10_vec4f_t * | dst,
|  | ne10_vec4f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 69 of file NE10_normalize.c.

## Variable Documentation

## ne10_normalize_vec2f

ne10_result_t(* ne10_normalize_vec2f) (ne10_vec2f_t *dst, ne10_vec2f_t *src, ne10_uint32_t count) | ( | ne10_vec2f_t * | dst,
|  | ne10_vec2f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Normalizes 2D vectors of the input array and stores them in the corresponding elements of the output array.

This function point could be pointed to one of ne10_normalize_vec2f_c, ne10_normalize_vec2f_neon and ne10_normalize_vec2f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 257 of file NE10_init_math.c.

## ne10_normalize_vec3f

ne10_result_t(* ne10_normalize_vec3f) (ne10_vec3f_t *dst, ne10_vec3f_t *src, ne10_uint32_t count) | ( | ne10_vec3f_t * | dst,
|  | ne10_vec3f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Normalizes 3D vectors of the input array and stores them in the corresponding elements of the output array.

This function point could be pointed to one of ne10_normalize_vec3f_c, ne10_normalize_vec3f_neon and ne10_normalize_vec3f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 258 of file NE10_init_math.c.

## ne10_normalize_vec4f

ne10_result_t(* ne10_normalize_vec4f) (ne10_vec4f_t *dst, ne10_vec4f_t *src, ne10_uint32_t count) | ( | ne10_vec4f_t * | dst,
|  | ne10_vec4f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Normalizes 4D vectors of the input array and stores them in the corresponding elements of the output array.

This function point could be pointed to one of ne10_normalize_vec4f_c, ne10_normalize_vec4f_neon and ne10_normalize_vec4f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 259 of file NE10_init_math.c.